Bug 44360 - [Patch] Add support for Emacs _and_ XEmacs
Summary: [Patch] Add support for Emacs _and_ XEmacs
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: a2ps   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: QA Orphan
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-13 00:45 UTC by Enrico Scholz
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 19:27:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against a2ps.spec (5.29 KB, patch)
2001-06-13 00:45 UTC, Enrico Scholz
no flags Details | Diff
Disables building of the emacs subdir; we have our own method to do this (611 bytes, patch)
2001-06-13 00:47 UTC, Enrico Scholz
no flags Details | Diff
An .el modules registering a2ps.el (141 bytes, patch)
2001-06-13 00:47 UTC, Enrico Scholz
no flags Details | Diff

Description Enrico Scholz 2001-06-13 00:45:04 UTC
Description of Problem:

Current a2ps-4.13b-14 requires Emacs to be rebuilt and does not contain
support for XEmacs.

The attached patch adds the following enhancements:

1. rpm --rebuild a2ps-4.13b-14 works if Emacs is not installed, but it
takes advantage of it if Emacs or XEmacs is installed. If the latter case
happens, there will be created a subpackage (a2ps-emacs or a2ps-xemacs) for
each of the Emacs'es.

2. The patch adds a site-start file so a2ps-mode will be found
automatically, a2ps-program points to '/usr/bin/a2ps' and not to
'/usr/local/bin/a2ps' and *.a2ps files are associated with a2ps-mode.


As indicated before the patch can be applied against a2ps-4.13b-14.src.rpm.

Comment 1 Enrico Scholz 2001-06-13 00:45:46 UTC
Created attachment 20922 [details]
Patch against a2ps.spec

Comment 2 Enrico Scholz 2001-06-13 00:47:02 UTC
Created attachment 20923 [details]
Disables building of the emacs subdir; we have our own method to do this

Comment 3 Enrico Scholz 2001-06-13 00:47:55 UTC
Created attachment 20924 [details]
An .el modules registering a2ps.el

Comment 4 Bill Nottingham 2006-08-08 01:37:15 UTC
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.


Comment 5 Bill Nottingham 2006-10-18 19:27:45 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.